import { Injectable, Inject } from '@angular/core';

import { AxiosInstance } from 'axios';

import { ModuleConfig, PiService as UcapPiService } from '@ucap/pi';

import { AXIOS_INSTANCE } from '@ucap/ng-core';

import { _MODULE_CONFIG } from '../config/token';

@Injectable({
  providedIn: 'root'
})
export class PiService extends UcapPiService {
  constructor(
    @Inject(_MODULE_CONFIG) moduleConfig: ModuleConfig,
    @Inject(AXIOS_INSTANCE) axios: AxiosInstance
  ) {
    super(moduleConfig, axios);
  }
}
