import { Injectable, Inject } from '@angular/core';

import { AxiosInstance } from 'axios';

import { BrowserNativeService as UcapBrowserNativeService } from '@ucap/native-browser';

import { AXIOS_INSTANCE } from '@ucap/ng-core';

@Injectable({
  providedIn: 'root'
})
export class BrowserNativeService extends UcapBrowserNativeService {
  constructor(@Inject(AXIOS_INSTANCE) axios: AxiosInstance) {
    super(axios);
  }
}
