import { NgModule, ModuleWithProviders } from '@angular/core';

import { ModuleConfig } from '@ucap/protocol-service';

import { _MODULE_CONFIG } from './config/token';

import { ServiceProtocolService } from './services/service-protocol.service';

const SERVICES = [ServiceProtocolService];

@NgModule({})
export class ServiceProtocolRootModule {}

@NgModule({})
export class ServiceProtocolModule {
  public static forRoot(
    config: ModuleConfig
  ): ModuleWithProviders<ServiceProtocolRootModule> {
    return {
      ngModule: ServiceProtocolRootModule,
      providers: [{ provide: _MODULE_CONFIG, useValue: config }, ...SERVICES]
    };
  }
}
