import { Pipe, PipeTransform } from '@angular/core';
import { CountryCode } from 'libphonenumber-js';
import { PhoneNumberUtil } from '../utils/phone-number.util';

@Pipe({ name: 'ucapPhoneNumber' })
export class PhoneNumberPipe implements PipeTransform {
  public transform(
    value: string,
    country: CountryCode,
    mask: boolean = false
  ): string {
    return PhoneNumberUtil.format(country, value, mask);
  }
}
